<?php

namespace App\Validator\Constraints;

use Symfony\Component\Validator\Constraint;

#[\Attribute]
class ClientsHaveSamePartitionSize extends Constraint
{
    public string $message;

    public function __construct(mixed $options = null, ?array $groups = null, mixed $payload = null)
    {
        parent::__construct($options, $groups, $payload);

        $this->message = 'Todos los clientes deben tener el mismo tamaño de partición para la partición seleccionada.';
    }

    public function getTargets(): string
    {
        return self::CLASS_CONSTRAINT;
    }
}